INSERT INTO CONFIG.SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 16 AS INFO_ID,'CALM_VERSION' AS NAME,'CALM Warehouse Version' AS DISPLAY_NAME,1 AS INT_VALUE,'3.0.1' AS CHAR_VALUE WHERE NOT EXISTS(SELECT INFO_ID FROM CONFIG.SYSCONFIG_INFO WHERE INFO_ID=16)
GO

CREATE TRIGGER RIODS.TRG_REQUIATTRD ON RIODS.REQUIREMENT FOR UPDATE AS BEGIN DELETE FROM RICALM.RQRMENT_ENUMERATION  WHERE  REQUIREMENT_ID IN (SELECT  REQUIREMENT_ID FROM INSERTED) END
GO

DROP INDEX RICALM.RQRMENT_ENUMERATION.RQRENUM_IDX1
GO

CREATE INDEX RQRENUM_IDX1 ON RICALM.RQRMENT_ENUMERATION (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, PROJECT_ID ASC, EXTERNAL_ID ASC) ON VNF_IDX
GO

CREATE INDEX REQBASE_IDX3 ON RICALM.REQUEST_BASELINE (REQUEST_HISTORY_ID ASC, REC_DATETIME ASC) ON VNF_IDX
GO

UPDATE CONFIG.SYSCONFIG_INFO SET CHAR_VALUE='3.0.1.1' WHERE INFO_ID=16
GO
