--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

USE [$(DBNAME)]
GO

IF ($(AUTH_TYPE) = 0)
BEGIN
	IF NOT EXISTS (SELECT NAME FROM sys.server_principals WHERE type_desc ='WINDOWS_LOGIN' AND LOWER(NAME)=LOWER('$(COMPUTER)\$(REP_USER)'))
	CREATE LOGIN [$(COMPUTER)\$(REP_USER)] FROM WINDOWS WITH DEFAULT_DATABASE=[$(DBNAME)], DEFAULT_LANGUAGE=[us_english];
	
	CREATE USER [$(REP_USER)] FOR LOGIN [$(COMPUTER)\$(REP_USER)];
	
	ALTER LOGIN [$(COMPUTER)\$(REP_USER)] WITH DEFAULT_DATABASE=[$(DBNAME)], DEFAULT_LANGUAGE=[us_english];	
END
GO

IF ($(AUTH_TYPE) = 1)
BEGIN
	IF NOT EXISTS (SELECT NAME FROM sys.server_principals WHERE type_desc ='SQL_LOGIN' AND LOWER(NAME)=LOWER('$(REP_USER)'))
	CREATE LOGIN [$(REP_USER)] WITH PASSWORD='$(PASSWORD)', DEFAULT_DATABASE=[$(DBNAME)], DEFAULT_LANGUAGE=[us_english];
	
	CREATE USER [$(REP_USER)] FOR LOGIN [$(REP_USER)];

	ALTER LOGIN [$(REP_USER)] WITH DEFAULT_DATABASE=[$(DBNAME)], DEFAULT_LANGUAGE=[us_english];
END
GO
